# GridFire: src/lib/reaction/reaction.cpp File Reference

Loading...
Searching...
No Matches
reaction.cpp File Reference
`#include "gridfire/reaction/reaction.h"`
`#include <string_view>`
`#include <string>`
`#include <vector>`
`#include <unordered_set>`
`#include <algorithm>`
`#include <ranges>`
`#include "quill/LogMacros.h"`
`#include "fourdst/composition/atomicSpecies.h"`
`#include "xxhash64.h"`

Go to the source code of this file.

## Classes

struct | std::hash< gridfire::reaction::Reaction >
struct | std::hash< gridfire::reaction::ReactionSet >
struct | std::hash< gridfire::reaction::LogicalReactionSet >

## Namespaces

namespace | gridfire
namespace | gridfire::reaction
namespace | std
| STL namespace.

## Functions

LogicalReactionSet | gridfire::reaction::packReactionSetToLogicalReactionSet (const ReactionSet &reactionSet)